Private Member Functions

# NWidgetMainToolbarContainer Class Reference

Container for the 'normal' main toolbar. More...

Inheritance diagram for NWidgetMainToolbarContainer:

## Private Member Functions
const byte * | GetButtonArrangement (uint &width, uint &arrangable_count, uint &button_count, uint &spacer_count) const
| Get the arrangement of the buttons for the toolbar.

## Detailed Description

Container for the 'normal' main toolbar.

Definition at line 1458 of file toolbar_gui.cpp.

## Member Function Documentation

const byte* NWidgetMainToolbarContainer::GetButtonArrangement | ( | uint & | width,
|  | uint & | arrangable_count,
|  | uint & | button_count,
|  | uint & | spacer_count |
| ) |  |  | const`[inline, private, virtual]`

Get the arrangement of the buttons for the toolbar.

Parameters:

  | width | the new width of the toolbar.
  | arrangable_count | output of the number of visible items.
  | button_count | output of the number of visible buttons.
  | spacer_count | output of the number of spacers.

Returns:
  the button configuration.

Implements NWidgetToolbarContainer.

Definition at line 1459 of file toolbar_gui.cpp.

References CeilDiv(), lengthof, max(), NWidgetBase::smallest_x, and NWidgetToolbarContainer::spacers.

The documentation for this class was generated from the following file:

- src/toolbar_gui.cpp